# /api/schedule/update

Updating Trigger information by GUID

* Endpoint: /api/schedule/update
* Method: PUT;
* Authorization: required;
* Parameters:

Guid (required): Trigger GUID;

Name: Name of the updated Trigger;

Description: Description for the updated Trigger;

Status: Status for the updated Trigger;

CronTab: Cron expression for the new Trigger. Only for ProcessingType = 2;

RobotType: Type of Robots (0 - single Robot, 1 - group of Robots);

RobotId: ID of the Robot to execute. Only for RobotType = 2;

RobotGroupId: ID of the Robot Group to execute. Only for RobotType = 1;

ProcessingType (required): Processing type for the new Trigger (1 - continuous, 2 - scheduled);

StartAt: Start date for the new Trigger;

EndAt: End date for the new Trigger;

MaxRuns: Max. number of runs for the new Trigger;

MaxRunningRobots: Maximum number of concurrently running Robots. Only for RobotType = 1;

CheckMissedTrigger: Enable the mechanism to check for missed Triggers for the new Trigger (1 — on, 0 — off);

ProcessId: ID of the Process to execute.

* Example:

| Request                                                                                                               | Response |
| --------------------------------------------------------------------------------------------------------------------- | -------- |
| `json</p><p> {</p><p> "Guid": "554ab883-1f82-48e1-bb12-5049002e7d70",<br> "Name": "Updated Trigger",</p><p> }</p><p>` | \[]      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sherparpa.ru/en/sherpa-rpa/sherpa-orchestrator/api/trigger/api-schedule-update.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
